Subject: Re: [bug#53765] [PATCH 15/17] gnu: Add clojure-com-cognitect-aws-s3.

From: Maxime Devos <[email-masked]>
Date: Mon, 28 Mar 2022 13:52:44 +0200

Reily Siegel schreef op ma 28-03-2022 om 12:31 [+0200]:
> > Additionally, this doesn't make it any less a blob.  Where does
> > this
> > data come from?  Was it written manually by cognitect people?  Was
> > some
> > (possibly propietary?) data taken from Amazon and then converted
> > into
> > another data format?  How can I edit these files?
> 
> As I said in response to another package, I can reach out to
> Cognitect on slack and ask, however based on the previous
> conversations I have had I strongly suspect they will not want to
> make any changes ot the package to clarify licensing for the sole
> benefit of Guix.

It won't be for the sole benefit of Guix.  It would be of the benefit
for *everyone* distributing a copy of clojure-com-cognitect-aws-s3 that
wants to avoids copyright violation.

If the apparent (*) copyright violation and non-freeness cannot be
resolved, then I don't think that clojure-com-cognitect-aws-s3 can be
included in Guix, given that Guix is not above the (copyright) law and
given that software in Guix must be free software.

Unless the blob is removed I suppose, in a snippet.

(*) as-in, there is no evidence it is not a violation or actually free.

Greetings,
MMaxime.